"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadWorkspaceDefinition = void 0;
const promises_1 = require("fs/promises");
const js_yaml_1 = __importDefault(require("js-yaml"));
const convertWorkspaceDefinition_1 = require("./convertWorkspaceDefinition");
const WorkspaceDefinitionSchema_1 = require("./schemas/WorkspaceDefinitionSchema");
async function loadWorkspaceDefinition(absolutePathToDefinition) {
    const contentsStr = await (0, promises_1.readFile)(absolutePathToDefinition);
    const contentsParsed = js_yaml_1.default.load(contentsStr.toString());
    const validated = await WorkspaceDefinitionSchema_1.WorkspaceDefinitionSchema.parseAsync(contentsParsed);
    return (0, convertWorkspaceDefinition_1.convertWorkspaceDefinition)({
        definition: validated,
        absolutePathToDefinition,
    });
}
exports.loadWorkspaceDefinition = loadWorkspaceDefinition;
//# sourceMappingURL=loadWorkspaceDefinition.js.map